Bug 1397337 - pygrib: python3-pygrib requires both Python 2 and Python 3
Summary: pygrib: python3-pygrib requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pygrib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jos de Kloe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-11-22 10:45 UTC by Iryna Shcherbina
Modified: 2016-12-08 03:53 UTC (History)
2 users (show)

Fixed In Version: pygrib-2.0.2-2.fc24 pygrib-2.0.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-07 20:21:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Iryna Shcherbina 2016-11-22 10:45:20 UTC
The python3-pygrib RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Jos de Kloe 2016-11-26 11:37:55 UTC
thanks for noticing this, I'll review the spec file to see what is going on before pushing the package to stable/rawhide.

Comment 2 Fedora Update System 2016-11-26 19:36:45 UTC
pygrib-2.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-713b7fc2f2

Comment 3 Fedora Update System 2016-11-26 19:38:11 UTC
pygrib-2.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c11605a238

Comment 4 Fedora Update System 2016-11-27 23:00:16 UTC
pygrib-2.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-713b7fc2f2

Comment 5 Fedora Update System 2016-11-28 01:56:38 UTC
pygrib-2.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c11605a238

Comment 6 Fedora Update System 2016-12-07 20:21:14 UTC
pygrib-2.0.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-12-08 03:53:02 UTC
pygrib-2.0.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.